import request from '@/utils/request'

// 任务细分
export function taskPartitionList(taskTypeId) {
    return request({
        url: `/system/partition/taskPartitionList?taskTypeId=${taskTypeId}`,
        method: 'get',
    })
}
export function list(parentDictCode) {
    return request({
        url: `/system/dict/data/list?parentDictCode=${parentDictCode}`,
        method: 'get',
    })
}

// 任务类型
export function selectTaskTypeList() {
    return request({
        url: '/system/taskType/selectTaskTypeList',
        method: 'get',
    })
}
// 任务状态
export function taskStatusDictList(id) {
    return request({
        url: `/system/taskStatus/taskStatusDictList?taskPartitionId=${id}`,
        method: 'get',
    })
}
//新增修改节点
export function specialDiseaseNode(data) {
    return request({
        url: `/system/specialDiseaseNode/edit`,
        method: 'put',
        data
    })
}

//查询主路径详情
export function selectSpecialDisease(id) {
    return request({
        url: `/system/specialDiseaseNode/selectSpecialDisease?specialDiseaseRouteId=${id}`,
        method: 'get'
    })
}

//审核完成
export function updateRouteCheckStatus(data) {
    return request({
        url: `/system/specialDiseaseNode/updateRouteCheckStatus`,
        method: 'post',
        data
    })
}
// 预览
export function selectSpecialDiseasenew(id) {
    return request({
        url: `/manage/signnode/getList?manageRouteId=${id}`,
        method: 'get'
    })
}
// 左侧点击事件
export function getById(id) {
    return request({
        url: '/manage/signnode/getById/'+id,
        method: 'get'
    })
}
